[Scummvm-cvs-logs] SF.net SVN: scummvm: [33007] scummvm/trunk/tools/svnpropset.sh

peres001 at users.sourceforge.net peres001 at users.sourceforge.net
Fri Jul 11 17:07:16 CEST 2008


Revision: 33007
          http://scummvm.svn.sourceforge.net/scummvm/?rev=33007&view=rev
Author:   peres001
Date:     2008-07-11 08:07:13 -0700 (Fri, 11 Jul 2008)

Log Message:
-----------
Added a script (courtesy of salty-horse) to create/set properties for source files under version control by Subversion. Specifically, the mime-type, eol-style and keywords properties are handled.

Added Paths:
-----------
    scummvm/trunk/tools/svnpropset.sh

Added: scummvm/trunk/tools/svnpropset.sh
===================================================================
--- scummvm/trunk/tools/svnpropset.sh	                        (rev 0)
+++ scummvm/trunk/tools/svnpropset.sh	2008-07-11 15:07:13 UTC (rev 33007)
@@ -0,0 +1,20 @@
+#!/bin/sh
+ 
+# This script adds common svn properties to files
+ 
+if [ $# -eq 0 ]; then
+        echo "Usage: $0 [FILE]..."
+        exit 1
+fi
+ 
+for filename in $@; do
+        if [ -f $filename ]; then
+                svn propset svn:mime-type text/plain $filename
+                svn propset svn:keywords "Date Rev Author URL Id" $filename
+                svn propset svn:eol-style native $filename
+        elif [ -e $filename ]; then
+                echo "$0: error: '$filename' is not a regular file"
+        else
+                echo "$0: error: '$filename' does not exist"
+        fi
+done


Property changes on: scummvm/trunk/tools/svnpropset.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:mime-type
   + text/plain
Name: svn:keywords
   + Date Rev Author URL Id
Name: svn:eol-style
   + native


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.




More information about the Scummvm-git-logs mailing list